/*
**
** Author: Gerd Ehlers      01.05.94 -- First Creation
**         Andreas Barth    04.12.95 -- new Stream class, unique value field
** Kuratorium OFFIS e.V.
**
** Module: dcvrda.h
**
** Purpose:
** Interface of class DcmDate
**
** Last Update:		andreas
** Update Date:		1996/01/05 13:23:04
** Source File:		/share/dicom/cvs-depot/dcmtk/dcmdata/include/dcvrda.h,v
** CVS/RCS Revision:	1.3
** Status:		Exp
**
** CVS/RCS Log at end of file
**
*/

#ifndef DCVRDA_H
#define DCVRDA_H

#include "osconfig.h"    /* make sure OS specific configuration is included first */


#include "dctypes.h"
#include "dcbytstr.h"



class DcmDate : public DcmByteString 
{
  public:
    DcmDate(const DcmTag &tag, const Uint32 len = 0);
    DcmDate( const DcmDate &newDA );
    virtual ~DcmDate();

    virtual DcmEVR ident() const { return EVR_DA; }
};


#endif // DCVRDA_H

/*
** CVS/RCS Log:
** dcvrda.h,v
** Revision 1.3  1996/01/05 13:23:04  andreas
** - changed to support new streaming facilities
** - more cleanups
** - merged read / write methods for block and file transfer
**
**
**
*/
