/*
**  Copyright (C) 1993/1994, OFFIS, Oldenburg University and CERIUM
**  
**  This software and supporting documentation were
**  developed by 
**  
**    Institut OFFIS
**    Bereich Kommunikationssysteme
**    Westerstr. 10-12
**    26121 Oldenburg, Germany
**    
**    Fachbereich Informatik
**    Abteilung Prozessinformatik
**    Carl von Ossietzky Universitaet Oldenburg 
**    Ammerlaender Heerstr. 114-118
**    26111 Oldenburg, Germany
**    
**    CERIUM
**    Laboratoire SIM
**    Faculte de Medecine
**    2 Avenue du Pr. Leon Bernard
**    35043 Rennes Cedex, France
**  
**  for CEN/TC251/WG4 as a contribution to the Radiological 
**  Society of North America (RSNA) 1993 Digital Imaging and 
**  Communications in Medicine (DICOM) Demonstration.
**  
**  THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND NEITHER OFFIS,
**  OLDENBURG UNIVERSITY NOR CERIUM MAKE ANY WARRANTY REGARDING 
**  THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY OR 
**  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER 
**  DISEASES OR ITS CONFORMITY TO ANY SPECIFICATION.  THE 
**  ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF THE SOFTWARE   
**  IS WITH THE USER. 
**  
**  Copyright of the software and supporting documentation
**  is, unless otherwise stated, jointly owned by OFFIS,
**  Oldenburg University and CERIUM and free access is hereby
**  granted as a license to use this software, copy this
**  software and prepare derivative works based upon this
**  software. However, any distribution of this software
**  source code or supporting documentation or derivative
**  works (source code and supporting documentation) must
**  include the three paragraphs of this copyright notice. 
** 
*/
/*
** TI Query Routines
**
** Author: 	Andrew Hewett
**		Universitaet Oldenburg, Germany
** Created:	08/1993
**
** Last Update:		hewett
** Update Date:		1996/04/22 10:27:28
** Source File:		/share/dicom/cvs-depot/dcmtk/imagectn/apps/tiquery.h,v
** CVS/RCS Revision:	1.1
** Status:		Exp
**
** CVS/RCS Log at end of file
*/

#ifndef TI_QUERY_H
#define TI_QUERY_H

#include "osconfig.h"    /* make sure OS specific configuration is included first */

#include "ti.h"
#include "dicom.h"
#include "imagedb.h"
#include "diutil.h"

BOOLEAN
TI_dbReadable(char *dbTitle);
/*
 * Returns true if the db associated with dbTitle exists and is readable.
 */
 
time_t 
TI_dbModifyTime(char *dbTitle);
/*
 * Returns the time the db associated with dbTitle was last modified.
 */

/* study level */
void
TI_destroyStudyEntries(TI_DBEntry *db);
BOOLEAN
TI_buildStudies(TI_Config *conf, TI_DBEntry *db);
/*
 * Interogate the database and build up a study structure.
 *
 */

/* series level */
void
TI_destroySeriesEntries(TI_StudyEntry *study);
BOOLEAN
TI_buildSeries(TI_Config *conf, TI_DBEntry *db, TI_StudyEntry *study);

/* image level */
void
TI_destroyImageEntries(TI_SeriesEntry *series);
BOOLEAN
TI_buildImages(TI_Config *conf, TI_DBEntry *db, TI_StudyEntry *study,
    TI_SeriesEntry *series);


/* image info */

void 
TI_getInfoFromDataset(DcmDataset *dset, DIC_PN patientsName, DIC_CS studyId,
    DIC_IS seriesNumber, DIC_CS modality, DIC_IS imageNumber);

void
TI_getInfoFromImage(char *imgFile, DIC_PN patientsName, DIC_CS studyId,
    DIC_IS seriesNumber, DIC_CS modality, DIC_IS imageNumber);

#endif /* TI_QUERY_H */

/*
** CVS Log
** tiquery.h,v
** Revision 1.1  1996/04/22 10:27:28  hewett
** Initial release.
**
**
*/
